Summary:	UNIX manual page integrated development environment
Summary(pl.UTF-8):	Zintegrowane środowisko uniksowe do tworzenia stron podręcznika
Name:		manedit
Version:	1.2.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	http://wolfsinger.com/~wolfpack/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	a7ee1835e32ed3c9279412af7caf13ef
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-bzip2.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-glibc.patch
Patch3:		%{name}-dont_strip.patch
Patch4:		%{name}-man_path.patch
Patch5:		%{name}-man.patch
URL:		http://freecode.com/projects/manedit
BuildRequires:	bzip2-devel
BuildRequires:	gtk+-devel
BuildRequires:	perl-base
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ManEdit is a UNIX Manual Page Integrated Development Environment.
It has full UNIX manual page editing capabilities using an XML
interface with instant preview. ManEdit uses the GTK+ widget set
and requires the X Window System.

%description -l pl.UTF-8
ManEdit jest zintegrowanym środowiskiem uniksowym do tworzenia
stron podręcznika. Pozwala na kompletną edycję stron wykorzystując
interfejs XML-owy z ciągłym podglądem. ManEdit używa kontrolek
GTK+ i działa w środowisku X Window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__perl} -pi -e 's@/lib/$@/%{_lib}/@' manedit/platforms.ini

%build
# This is a nasty hack to trick configure
# (proper way is to hack ./configure or pconf)
echo -e "Linux\n"`grep UTS_RELEASE /usr/include/linux/version.h|awk '{print $3}'|sed 's/"//g'`"\n"%{_target_cpu} > manedit/this_platform.ini

./configure Linux -v \
	--prefix=%{_prefix}

%{__make} all \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	ICONS_DIR=$RPM_BUILD_ROOT%{_pixmapsdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/manedit
%attr(755,root,root) %{_bindir}/manview
%attr(755,root,root) %{_bindir}/manwrap
%{_datadir}/manedit
%{_mandir}/man1/manedit.1*
%{_desktopdir}/manedit.desktop
%{_pixmapsdir}/manedit.png
%{_pixmapsdir}/manedit.xpm
%{_pixmapsdir}/manview.xpm
%changelog
* Sun Feb 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/manedit.git;a=log;h=master

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 0f4cd5a
- new URLs, updated to 1.2.1
- updated opt patch
- added man patch (fixes manpage generation)

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 30f70a7
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 893c0d4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 152a674
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 59625b2
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sat Mar 12 2005 darekr <darekr@pld-linux.org> f1eb46d
- BR: perl-base

* Thu Nov 18 2004 paladine <paladine@pld-linux.org> 9cd4cbc
- updated to 0.5.12

* Sun Nov 07 2004 paladine <paladine@pld-linux.org> 74c76e7
- rel 2 for fixed desktop file

* Sun Nov 07 2004 paladine <paladine@pld-linux.org> 5259c56
- Categories fix

* Sun May 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 76346ae
- updated to 0.5.11

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 70c3647
- lib64 hack, release 3

* Wed Dec 10 2003 grzegol <grzegol@pld-linux.org> fe33b93
- added Categories

* Wed Dec 10 2003 grzegol <grzegol@pld-linux.org> 47c5fe2
- _applnkdir -> _desktopdir; rel. 2

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> 8f2f054
- s/^Terminal=0/Terminal=false/ s/^Terminal=1/Terminal=true/ to conform
  freedesktop.org desktop-entry specification

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> de5e9d5
- added Encoding=UTF-8 (field required by freedesktop.org desktop-entry specification)

* Mon Sep 29 2003 ankry <ankry@pld-linux.org> 3678233
- removed bogus -q from %prep

* Sun Jul 20 2003 Jakub Bogusz <qboosh@pld-linux.org> f5f6256
- 0.5.10

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d021fc0
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6eaf567
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Mar 16 2003 grzegol <grzegol@pld-linux.org> d1aa5ab
- updated

